//
//  PersonView.swift
//  DirectoryUI
//
//  Created by Joe Gregg on 10/24/22.
//

import SwiftUI

struct PersonView: View {
    @StateObject var d : Directory
    
    var body: some View {
        VStack {
            HStack {
                Text("Name:").frame(width:60,height:20,alignment: .trailing)
                TextField("",text:$d.newPerson.name).textFieldStyle(.roundedBorder)
            }
            HStack {
                Text("Office:").frame(width:60,height:20,alignment: .trailing)
                TextField("",text:$d.newPerson.office).textFieldStyle(.roundedBorder)
            }
            Button("Save Changes"){
                d.saveChanges()
            }.buttonStyle(.borderedProminent).padding()
        }
    }
}

struct PersonView_Previews: PreviewProvider {
    static var previews: some View {
        PersonView(d:Directory())
    }
}
